import { compose } from 'recompose'
import { connect } from 'react-redux'
import { actions } from 'pubsweet-client'
import { ConnectPage } from 'xpub-connect'
import { selectCurrentVersion } from 'xpub-selectors'

export default Component =>
  compose(
    ConnectPage(({ collection }) => [
      actions.getFragments({ id: collection.id }),
    ]),
    connect((state, { collection }) => ({
      fragment: selectCurrentVersion(state, collection) || {},
    })),
  )(Component)
